BWTextInternal::State Struct Reference

Internal: the state of a BWText. More...

## Public Member Functions

| State ()
| constructor More...
MWAWFont | getFont (Font const &ft)
| returns the font corresponding to a file font More...

## Public Attributes

MWAWEntry | m_textEntry
| the main text entry More...
std::vector< Section > | m_sectionList
| the section list More...
std::vector< int > | m_numPagesBySectionList
| the number of page by section More...
int | m_version
| the file version More...
std::vector< int > | m_fileIdFontIdList
| a list to get the correspondance between fileId and fontId More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a BWText.

## Constructor & Destructor Documentation

BWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWFont BWTextInternal::State::getFont | ( | Font const & | ft | ) |

inline

returns the font corresponding to a file font

## Member Data Documentation

int BWTextInternal::State::m_actualPage

std::vector<int> BWTextInternal::State::m_fileIdFontIdList

a list to get the correspondance between fileId and fontId

Referenced by getFont().

int BWTextInternal::State::m_numPages

std::vector<int> BWTextInternal::State::m_numPagesBySectionList

the number of page by section

std::vector<Section> BWTextInternal::State::m_sectionList

the section list

MWAWEntry BWTextInternal::State::m_textEntry

the main text entry

int BWTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- BWText.cxx